Subject: Re: [bug#62754] [PATCH v2] doc: Use G-Expressions for package definition example.

From: Simon Tournier <[email-masked]>
Date: Fri, 05 May 2023 16:06:02 +0200

Hi,

On ven., 21 avril 2023 at 10:21, Nicolas Goaziou <[email-masked]> wrote:

>>  The new phase that is inserted is written as an anonymous procedure,
>> -introduced with @code{lambda*}; it honors the @code{outputs} parameter
>> -we have seen before.  @xref{Build Utilities}, for more about the helpers
>> -used by this phase, and for more examples of @code{modify-phases}.
>> +introduced with @code{lambda*}.  @xref{Build Utilities}, for more about
>> +the helpers used by this phase, and for more examples of
>> +@code{modify-phases}.
>
> I think it still makes sense to refer to `inputs'; it could be
> unsettling otherwise. Maybe something along those lines:
>
>     ... introduced with @code{lambda*}; it looks for the @file{xmllint}
>     executable in a @file{"/bin"} directory among package's inputs
>     (@pxref{package Reference}).  It also honors the @code{outputs}
>     parameter we have seen before@xref{Build Utilities}, for more...

This tweak looks better to me.  Well, Bruno could you send a v3?  Or
Nicolas, could you amend the patch and directly apply it?

(Note the typo in « before@xref{Build Utilities} », I guess.)

Cheers,
simon